<?
	$rows = array();
	$config = Zend_Registry::get('escorts_config');
	/*$banners = Zend_Registry::get('banners');
	echo $banners['funcs'];*/

	for ( $i = 0; $i < ceil(count($this->escorts) / $config['perRow']); $i++ ) {
		$rows[] = array_slice($this->escorts, $i * $config['perRow'], $config['perRow']);
	}
	$DEFINITIONS = Zend_Registry::get('defines');
	
	$region_slug = $this->request()->region;
?>

<? if ( ! _cs($this->new_list_cache_key) ): ?>

<div id="new-girls">
	<fieldset>
		<legend><span class="i"><span class="ii"><span class="icon"><?= __('new_arrivals') ?></span></span></span></legend>

		<? foreach ( $this->escorts as $escort ): ?>
		<div class="profile">
			<div class="heading">
				<span class="date"><?= __('added', array('date' => ( date('d.m.Y') == date('d.m.Y', $escort->date_activated) ) ? $this->t('today_new') : date('d M Y', $escort->date_activated) )) ?></span>
				<div class="clear"></div>
			</div><!-- heading -->

			<div class="container">
				<div class="photos">
					<a class='main'  href='<?=$this->getLink('profile', array('showname' => $escort->showname, 'type' => 'photos', 'escort_id' => $escort->id ), true);?>'>
						<img src="<?= $escort->profile->getMainPhoto()->getUrl('m-new-main') ?>" width="171" height="121" alt="" />

						<? if ( $escort->is_suspicious ): ?>
						<span class="new-suspicious"></span>
						<? endif; ?>

						<? if ( $escort->verified_status == Model_Escorts::VERIFIED_STATUS_VERIFIED ): ?>
						<span class="new-p100s-<?= $this->lang() ?>"></span>
						<? endif; ?>
					</a>

					<? $count = 0; $photos = $escort->profile->getPhotos(1, $count, false); ?>

					<? $count = 2; $i = 0; ?>
					<? foreach($photos as $photo): ?>
					<a href="<?=$this->getLink('profile', array('showname' => $escort->showname, 'type' => 'photos', 'escort_id' => $escort->id ), true);?>">
						<img src="<?= $photo->getUrl('m-new-thumb') ?>" width="81" height="55" alt="" />
					</a>
					<? $i++; ?>
					<? if ( $i == $count ): ?>
					<? break; ?>
					<? endif; ?>
					<? endforeach; ?>
					<div class="clear"></div>
				</div><!-- photos -->

				<div class="about">
					<span class="name"><?= $escort->profile->showname ?><?= ( $escort->age ) ? ", " . $escort->age . " " . __('years') : "" ?></span>
					<? if ( strlen($escort->profile->{'about_' . $this->lang()}) ): ?>
					<div class="item">
						<h4><?= __('about_me') ?></h4>
						<p>
							<?= mb_substr($escort->profile->{'about_' . $this->lang()}, 0, 200, "UTF-8") . " ..." ?>
						</p>
					</div>
					<? endif; ?>
					<div class="clear"></div>

					<? if ( count($escort->profile->rates) ): ?>
						<?
							$has_incall_rate = false;
							$has_outcall_rate = false;
							$currencies = Model_Currencies::getAllAssoc();
							foreach ( $escort->profile->rates as $rate ) {
								$rate = (object) $rate;
								if ( $rate->time_unit == TIME_HOURS && $rate->time == 1 && $rate->availability == AVAILABLE_INCALL ) {
									$has_incall_rate = true;
									$incall_price = $rate->price;
									$incall_currency = $currencies[$rate->currency_id];
								}

								if ( $rate->time_unit == TIME_HOURS && $rate->time == 1 && $rate->availability == AVAILABLE_OUTCALL ) {
									$has_outcall_rate = true;
									$outcall_price = $rate->price;
									$outcall_currency = $currencies[$rate->currency_id];
								}
							}
						?>

						<? if ($has_incall_rate || $has_outcall_rate): ?>
						<div class="item">
							<h4><?= __('hour_rate', array('number' => 1)) ?></h4>


							<? if ( $has_incall_rate ): ?>
							<div class="incall">
								<div class="icon"><?= __('incall') ?> <span class="strong"><?= $incall_price . " " . $incall_currency ?></span></div>
							</div>
							<? endif; ?>

							<? if ( $has_outcall_rate ): ?>
							<div class="outcall">
								<div class="icon"><?= __('outcall') ?> <span class="strong"><?= $outcall_price . " " . $outcall_currency ?></span></div>
							</div>
							<? endif; ?>
							<div class="clear"></div>
						</div>
						<div class="clear"></div>
						<? endif; ?>
					<? endif; ?>

					<h4><?= __('contact') ?></h4>

					<? if ( $escort->profile->phone_number ): ?>
					<div class="row">
						<div class="phone"><?= __('phone') ?>: <span class="strong"><?= $escort->profile->phone_number ?></span></div>
					</div>
					<? endif; ?>

					<div class="row">
						<div class="base_city"><?= __('base_city') ?>: <a href="<? /*$this->getLink('escorts', array('city' => $escort->profile->country_iso . '_' . $escort->profile->city_slug, 'filter' => null, 'page' => null))*/ ?>/escorts/region_<?= $region_slug ?>/city_<?= $escort->profile->country_iso . '_' . $escort->profile->city_slug ?>"><?= $escort->profile->{'base_city_' . $this->lang()} ?></a></div>
					</div>
					<div class="clear"></div>

					<div class="clear"></div>

					<a class="btn-setcard" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'from' => 'new_list', 'escort_id' => $escort->id)) ?>"><img src="<?= _st($this->lang() . '_btn_viewsedcard.jpg') ?>" alt="view sedcard" /></a>
				</div><!-- about -->
			</div>
			<div class="clear"></div>
		</div><!-- profile -->
		<? endforeach; ?>
	</fieldset>
</div><!-- new-girls -->

<?php

$uri = $_SERVER['REQUEST_URI'];
$uri = preg_replace('#\?ln=[a-z][a-z]#', '', $uri);
$uri = preg_replace('#/[0-9]+$#', '', $uri);


$pages_count = ceil($this->count / $this->per_page );
?>
<? /*
<? if( $pages_count != 1 ): ?>
<div class="paging-list">
	<? $pages = $this->paging($this->count, $this->page, $this->per_page , 3, 1); ?>
	<? if ( 1 < $this->page): ?>
	<? $this->page == 2 ? $p = null : $p = '/' . ($this->page - 1); ?>
<!--    <a href="<?= $uri . $p ?>" > <?= $this->t('previous') ?></a>-->
    <a class="" href="<?=$this->getLink('pager',array('page' => $p,'request_url' => $uri ), true)?>" > &laquo; <?= $this->t('previous') ?></a>

	<? endif ?>

	<? foreach ( $pages as $page ): ?>

	<? if ( $this->page == $page ): ?>
	<span class="active"><?= $page ?></span>
	<? else: ?>
	<? $page == 1 ? $p = null : $p = '/' . $page ?>
    <a class="number" href="<?=$this->getLink('pager',array('page' => $p,'request_url' => $uri, ), true)?>" ><?= $page ?></a>
	<? endif ?>

	<? endforeach ?>

	<? if ( $pages_count > $this->page): ?>
	<? $p = '/' . ($this->page + 1); ?>
	<a class="" href="<?=$this->getLink('pager',array('page' => $p,'request_url' => $uri ), true)?>" ><?= $this->t('next') ?> &raquo; </a>
	<? endif ?>
</div>
<? endif; ?>
*/?>


<? _ce(); ?>
<? endif; ?>


